# struct Debug::DWARF::LineNumbers::Row

- Debug::DWARF::LineNumbers::Row
- Struct
- Value
- Object

##
Overview

The decoded line number information for an instruction.

##
Defined in:

##
Constructors

- .new(address : UInt64, op_index : UInt32, directory : String, file : String, line : Int32, column : Int32, end_sequence : Bool)

##
Instance Method Summary

- #address : UInt64
- #clone
- #column : Int32
- #copy_with(address _address = @address, op_index _op_index = @op_index, directory _directory = @directory, file _file = @file, line _line = @line, column _column = @column, end_sequence _end_sequence = @end_sequence)
- #directory : String
- #end_sequence : Bool
- #file : String
- #line : Int32
- #op_index : UInt32

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(address : UInt64, op_index : UInt32, directory : String, file : String, line : Int32, column : Int32, end_sequence : Bool) #

##
Instance Method Detail

def address : UInt64 #
def clone #
def column : Int32 #
def copy_with(address _address = @address, op_index _op_index = @op_index, directory _directory = @directory, file _file = @file, line _line = @line, column _column = @column, end_sequence _end_sequence = @end_sequence) #
def directory : String #
def end_sequence : Bool #
def file : String #
def line : Int32 #
def op_index : UInt32 #